Subject: Re: bug#75510: Building grub-image.png.drv fails with rsvg

From: Roman Scherer <[email-masked]>
Date: Fri, 17 Jan 2025 15:48:04 +0100

Roman Scherer <[email-masked]> writes:

Hmm, but it looks I'm now stuck using --no-grafts all the time. Any
ideas how to solve that?

> Roman Scherer <[email-masked]> writes:
>
> So, it looks like this issue might be related to:
>
> - https://issues.guix.gnu.org/47853
> - https://issues.guix.gnu.org/47115
>
> I reconfigured my system now with --no-grafts, and this time it worked.
>
>> <#secure method=pgpmime mode=sign>
>>
>> Hi Leo,
>>
>> here is the `guix desribe` run as my normal user account.
>>
>> ```
>> [roman@m1 guix-home]$ guix describe
>> Generation 305	Jan 12 2025 09:17:24	(current)
>>   asahi 2a6f8b5
>>     repository URL: https://github.com/asahi-guix/channel
>>     branch: main
>>     commit: 2a6f8b59d97a3451639f128ff1c53d9009897e45
>>   guix 5d6c876
>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>     branch: master
>>     commit: 5d6c8767f67885bc9b2c8f18ab1f667d0065346b
>>   nonguix 565d287
>>     repository URL: https://gitlab.com/nonguix/nonguix
>>     branch: master
>>     commit: 565d287b7502ef9435b2fba38622d0a8f458677b
>>   r0man-guix 9bb5571
>>     repository URL: https://github.com/r0man/guix-channel
>>     branch: main
>>     commit: 9bb55710a8dc61a23c6cc4e8d2bcdc9503008492
>> ```
>>
>> As this user I usually run the following command to reconfigure my
>> system.
>>
>> ```
>> sudo guix system reconfigure -L modules modules/r0man/guix/system/m1.scm
>> -v 5
>> ```
>>
>> I don't use the -i flag when reconfiguring. Is that problematic?
>>
>> So here's the guix describe I usually get when I'm reconfiguring my
>> system:
>>
>> [roman@m1 guix-home]$ sudo guix describe
>>   asahi 2a6f8b5
>>     repository URL: https://github.com/asahi-guix/channel
>>     branch: main
>>     commit: 2a6f8b59d97a3451639f128ff1c53d9009897e45
>>   guix 5d6c876
>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>     branch: master
>>     commit: 5d6c8767f67885bc9b2c8f18ab1f667d0065346b
>>   nonguix 565d287
>>     repository URL: https://gitlab.com/nonguix/nonguix
>>     branch: master
>>     commit: 565d287b7502ef9435b2fba38622d0a8f458677b
>>   r0man-guix 9bb5571
>>     repository URL: https://github.com/r0man/guix-channel
>>     branch: main
>>     commit: 9bb55710a8dc61a23c6cc4e8d2bcdc9503008492
>>
>> And this is the "guix describe" with the -i flag:
>>
>> [roman@m1 guix-home]$ sudo -i guix describe
>>   guix 121e96d
>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>     branch: master
>>     commit: 121e96dca273ab407df11725da0026ee34abdf79
>>
>> Reconfiguring with the -i flag does not work, because I'm missing some
>> modules from the channels that aren't listed there.
>>
>> I'm also linking my config, just in case:
>>
>> https://github.com/r0man/guix-home/blob/main/modules/r0man/guix/system/m1.scm
>>
>> Thanks for your help, Roman.
>>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Sun, Jan 12, 2025 at 03:30:07PM -0500, Leo Famulari wrote:
>>>> On Sun, Jan 12, 2025 at 10:58:54AM +0100, Roman Scherer wrote:
>>>> >
>>>> > I can't reconfigure my (aarch64) system anymore. When building
>>>> > /gnu/store/bpda8gfvxm6iv3mc6n8sf3ydxc5b6zi9-grub-image.png.drv I see the following backtrace:
>>>>
>>>> [...]
>>>>
>>>> > View build log at '/var/log/guix/drvs/bp/da8gfvxm6iv3mc6n8sf3ydxc5b6zi9-grub-image.png.drv.gz'.
>>>>
>>>> Can you share this log?
>>>
>>> Okay, thanks.
>>>
>>> Also, from the environment where you try to reconfigure, can you also
>>> share the results of `guix describe`?
>>>
>>> What I mean by that is, for example, if you log in to the root account
>>> to reconfigure, run `guix describe` from there.
>>>
>>> Another example: if you do `sudo -i guix system reconfigure [...]`, run
>>> `sudo -i guix describe`.
>>>
>>> Does that make sense?